Bug 193889 - [MAINTAINER] Patch to update devel/bin86 to use PLIST_FILES and PORTDOCS.
Summary: [MAINTAINER] Patch to update devel/bin86 to use PLIST_FILES and PORTDOCS.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-24 13:01 UTC by kpaasial
Modified: 2014-10-19 16:18 UTC (History)
3 users (show)

See Also:
kpaasial: maintainer-feedback+


Attachments
Patch for devel/bin86 port. (862 bytes, patch)
2014-09-24 13:01 UTC, kpaasial
kpaasial: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kpaasial 2014-09-24 13:01:05 UTC
Created attachment 147636 [details]
Patch for devel/bin86 port.

The attached patch removes the pkg-plist file and changes the Makefile to use PLIST_FILES and PORTDOCS instead. Portversion is not bumped since these changes do not change the installed software in any way.

These changes have been tested with 'poudriere testport' and pass the tests succesfully.
Comment 1 Bugzilla Automation freebsd_committer 2014-09-24 13:01:05 UTC
Maintainer CC'd
Comment 2 kpaasial 2014-09-26 12:17:36 UTC
Requester same person as maintainer, just different email address. Can be committed as soon as possible.
Comment 3 Mark Felder freebsd_committer 2014-10-02 20:22:39 UTC
update summary to indicate it's a maintainer update
Comment 4 John Marino freebsd_committer 2014-10-08 18:13:25 UTC
very basic patch, moving to patch-ready pool
Comment 5 commit-hook freebsd_committer 2014-10-19 16:16:32 UTC
A commit references this bug:

Author: robak
Date: Sun Oct 19 16:15:55 UTC 2014
New revision: 371198
URL: https://svnweb.freebsd.org/changeset/ports/371198

Log:
  devel/bin86: use PLIST_FILES and PORTDOCS

  PR:		193889
  Submitted by:	Kimmo Paasiala <kpaasial@icloud.com>
  Approved by:	mentors (implicit)

Changes:
  head/devel/bin86/Makefile
  head/devel/bin86/pkg-plist
Comment 6 Bartek Rutkowski freebsd_committer 2014-10-19 16:18:00 UTC
Committed, thanks for your work!